package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * USB info list.
 */
@ApiModel(description = "USB info list.")
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class UsbInfo   {
  @JsonProperty("usbUuid")
  private String usbUuid;

  @JsonProperty("usbName")
  private String usbName;

  @JsonProperty("voiceMailboxCapacity")
  private Integer voiceMailboxCapacity;

  @JsonProperty("remainAvailableCapacity")
  private Integer remainAvailableCapacity;

  @JsonProperty("selected")
  private Boolean selected;

  @JsonProperty("customGreetingName")
  private String customGreetingName;

  public UsbInfo usbUuid(String usbUuid) {
    this.usbUuid = usbUuid;
    return this;
  }

  /**
   * USB UUID.
   * @return usbUuid
  */
  @ApiModelProperty(value = "USB UUID.")


  public String getUsbUuid() {
    return usbUuid;
  }

  public void setUsbUuid(String usbUuid) {
    this.usbUuid = usbUuid;
  }

  public UsbInfo usbName(String usbName) {
    this.usbName = usbName;
    return this;
  }

  /**
   * USB name.
   * @return usbName
  */
  @ApiModelProperty(value = "USB name.")


  public String getUsbName() {
    return usbName;
  }

  public void setUsbName(String usbName) {
    this.usbName = usbName;
  }

  public UsbInfo voiceMailboxCapacity(Integer voiceMailboxCapacity) {
    this.voiceMailboxCapacity = voiceMailboxCapacity;
    return this;
  }

  /**
   * The capacity of voice mail box.
   * @return voiceMailboxCapacity
  */
  @ApiModelProperty(value = "The capacity of voice mail box.")


  public Integer getVoiceMailboxCapacity() {
    return voiceMailboxCapacity;
  }

  public void setVoiceMailboxCapacity(Integer voiceMailboxCapacity) {
    this.voiceMailboxCapacity = voiceMailboxCapacity;
  }

  public UsbInfo remainAvailableCapacity(Integer remainAvailableCapacity) {
    this.remainAvailableCapacity = remainAvailableCapacity;
    return this;
  }

  /**
   * Remain available capacity of voice mail box.
   * @return remainAvailableCapacity
  */
  @ApiModelProperty(value = "Remain available capacity of voice mail box.")


  public Integer getRemainAvailableCapacity() {
    return remainAvailableCapacity;
  }

  public void setRemainAvailableCapacity(Integer remainAvailableCapacity) {
    this.remainAvailableCapacity = remainAvailableCapacity;
  }

  public UsbInfo selected(Boolean selected) {
    this.selected = selected;
    return this;
  }

  /**
   * Whether selected the USB device.
   * @return selected
  */
  @ApiModelProperty(value = "Whether selected the USB device.")


  public Boolean getSelected() {
    return selected;
  }

  public void setSelected(Boolean selected) {
    this.selected = selected;
  }

  public UsbInfo customGreetingName(String customGreetingName) {
    this.customGreetingName = customGreetingName;
    return this;
  }

  /**
   * Custom greeting name.
   * @return customGreetingName
  */
  @ApiModelProperty(value = "Custom greeting name.")


  public String getCustomGreetingName() {
    return customGreetingName;
  }

  public void setCustomGreetingName(String customGreetingName) {
    this.customGreetingName = customGreetingName;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    UsbInfo usbInfo = (UsbInfo) o;
    return Objects.equals(this.usbUuid, usbInfo.usbUuid) &&
        Objects.equals(this.usbName, usbInfo.usbName) &&
        Objects.equals(this.voiceMailboxCapacity, usbInfo.voiceMailboxCapacity) &&
        Objects.equals(this.remainAvailableCapacity, usbInfo.remainAvailableCapacity) &&
        Objects.equals(this.selected, usbInfo.selected) &&
        Objects.equals(this.customGreetingName, usbInfo.customGreetingName);
  }

  @Override
  public int hashCode() {
    return Objects.hash(usbUuid, usbName, voiceMailboxCapacity, remainAvailableCapacity, selected, customGreetingName);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class UsbInfo {\n");
    
    sb.append("    usbUuid: ").append(toIndentedString(usbUuid)).append("\n");
    sb.append("    usbName: ").append(toIndentedString(usbName)).append("\n");
    sb.append("    voiceMailboxCapacity: ").append(toIndentedString(voiceMailboxCapacity)).append("\n");
    sb.append("    remainAvailableCapacity: ").append(toIndentedString(remainAvailableCapacity)).append("\n");
    sb.append("    selected: ").append(toIndentedString(selected)).append("\n");
    sb.append("    customGreetingName: ").append(toIndentedString(customGreetingName)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

